# c't/ODS-Schulserver
# (c) Helmut Hullen (helmut@hullen.de)
# Nutzung gem der GNU Public License  
# $Id: doinst.sh,v 1.4 2005/04/07 09:30:05 HHullen Exp $
# $Log: doinst.sh,v $
# Revision 1.4  2005/04/07 09:30:05  HHullen
# Kernel 2.6.11
#
# Revision 1.3  2004/10/27 06:57:39  HHullen
# Doppel-Eintrag abgeblockt
#
# Revision 1.2  2004/09/28 12:34:30  HHullen
# 2.4.27
#
# Revision 1.1  2004/04/18 13:30:36  root
# Initial revision
#
# Revision 1.3  2004/04/17 19:07:00  root
# Schulserver-alt gelscht
#
# Revision 1.2  2004/04/10 09:31:43  root
# System.map aus "lilo.conf" entfernt
#
# Revision 1.1  2004/04/07 10:07:40  root
# Erst-Eintrag
#
# Installation des Kernel-Updates
# Routine berarbeitet von Helmut Hullen 12. Januar 2004
# erneut berarbeitet 29.1.04 (lilo.conf und lib/modules) Hullen
# Kopf von "lilo.conf" berarbeitet 27.3.04 Hullen

Ziel=boot
Kernel=2.6.13.4-ODS
Label=2.6.13.4-ODS
# lilo erlaubt keine ganz langen Namen

Pfad=$Ziel/$Kernel
mkdir -p $Pfad

# /etc/lilo.conf berarbeiten

Datei=etc/lilo.conf

test -f $Datei && cp --backup=t $Datei ${Datei}-alt
touch $Datei

if ! grep  -q "default" $Datei
  then
ed $Datei <<EOF
1
a
default = Schulserver
.
w
q
EOF
fi  

if ! grep -v "^label = Schulserver$" $Datei
  then
printf "/^label = Schulserver$/s//&-orig/\nw\n" | ed -s $Datei
fi  

if ! grep -q "prompt" $Datei
  then
ed $Datei <<EOF
/default/
a
prompt
.
w
q
EOF
fi  

if ! grep -q "timeout" $Datei
  then
ed $Datei <<EOF
/prompt/
a
timeout = 100
# 10 Sekunden

.
w
q
EOF
fi  


if ! grep -q delay $Datei
  then
ed $Datei <<EOF
/timeout/
i
delay = 80
# 8 Sekunden
.
w
q
EOF
fi  


if ! grep -q $Kernel $Datei
 then

printf "/^alias/s//# &/g\nw\n" | ed -s $Datei
cat >> $Datei <<EOF
Image = /$Pfad/bzImage
	root = current
# evtl. passend abndern, insbesondere fr Arktur 3.5 und Arktur 4.0
initrd = /$Pfad/initrd.gz
alias = Schulserver
label = $Label
#
EOF

fi
# um Doppel-Eintrage zu vermeiden


#
